Page MenuHomePhabricator

Column header too narrow for localisation
Closed, DeclinedPublic

Description

Author: eleriygarregwen

Description:
The maximum length of the message "Centralnotice-number-uses" is 5% of the table width, which on some screens and with some browsers I imagine is very short, maybe 6 or 7 letters? The message in English reads "Uses". Some translations exceed the target of 6 characters - see the list of translations on http://translatewiki.net/w/i.php?title=Special:Translations&message=MediaWiki%3ACentralnotice-number-uses

Could we add a key to the table, where term 'uses' is explained? Even the word 'uses' in English is not easy to understand, so a key to this term would be useful, I think.


Version: unspecified
Severity: normal

Details

Reference
bz39266
Related Gerrit Patches:
mediawiki/extensions/CentralNotice : master"uses" key added in localisation files

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 1:11 AM
bzimport set Reference to bz39266.
bzimport added a subscriber: Unknown Object (MLST).

Changed from enhanced to regular bug. i18n issues to be resolved are not enhancements. They are usability impediments for non-English speakers.

Sample URL:

A longer translation isn't necessarily the issue. When spaces are being used, the column header get multiple lines high. That doesn't look pretty (something which could be said of the design of the table as a whole btw :P).

awight added a subscriber: awight.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 21 2015, 7:36 AM
rosalieper set Security to None.

Change 248612 had a related patch set uploaded (by Rosalieper):
"uses" key added in localisation files

https://gerrit.wikimedia.org/r/248612

kaldari removed a subscriber: kaldari.Oct 26 2015, 7:15 PM
Ejegg closed this task as Declined.Oct 27 2015, 8:39 PM
Ejegg added a subscriber: Ejegg.

Table was removed in commit 4ea6241aaed2a1d0d9b55f818996a386d0ad5250 , nothing is using that key any more.

Change 248612 abandoned by Rosalieper:
"uses" key added in localisation files

https://gerrit.wikimedia.org/r/248612

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJul 16 2017, 11:01 PM